Bug 1760963 (CVE-2019-2964) - CVE-2019-2964 OpenJDK: Unexpected exception thrown by Pattern processing crafted regular expression (Concurrency, 8222684)
Summary: CVE-2019-2964 OpenJDK: Unexpected exception thrown by Pattern processing craf...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2964
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1754096 1760369 1760981 1760982 1776413 1777849 1777851 1777852 1778949 1754086 1754087 1754088 1754094 1754095 1754097 1754098 1760368 1760370 1776411 1776412 1777848 1777850
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-11 20:25 UTC by Tomas Hoger
Modified: 2019-12-11 10:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:04:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 None None None 2019-10-17 18:57:08 UTC
Red Hat Product Errata RHBA-2019:3148 None None None 2019-10-18 09:02:32 UTC
Red Hat Product Errata RHBA-2019:3186 None None None 2019-10-23 19:17:43 UTC
Red Hat Product Errata RHBA-2019:3188 None None None 2019-10-23 08:43:55 UTC
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:36 UTC
Red Hat Product Errata RHBA-2019:3741 None None None 2019-11-06 14:22:40 UTC
Red Hat Product Errata RHBA-2019:3823 None None None 2019-11-11 12:51:49 UTC
Red Hat Product Errata RHBA-2019:3830 None None None 2019-11-12 12:37:23 UTC
Red Hat Product Errata RHBA-2019:3831 None None None 2019-11-12 12:45:36 UTC
Red Hat Product Errata RHBA-2019:3884 None None None 2019-11-14 13:29:56 UTC
Red Hat Product Errata RHBA-2019:3885 None None None 2019-11-14 13:26:09 UTC
Red Hat Product Errata RHBA-2019:3937 None None None 2019-11-20 21:05:19 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:27 UTC
Red Hat Product Errata RHSA-2019:3128 None None None 2019-10-16 14:18:46 UTC
Red Hat Product Errata RHSA-2019:3134 None None None 2019-10-17 09:57:39 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:58:55 UTC
Red Hat Product Errata RHSA-2019:3136 None None None 2019-10-17 14:27:08 UTC
Red Hat Product Errata RHSA-2019:3157 None None None 2019-10-21 15:11:27 UTC
Red Hat Product Errata RHSA-2019:3158 None None None 2019-10-21 15:00:28 UTC
Red Hat Product Errata RHSA-2019:4109 None None None 2019-12-05 15:21:31 UTC
Red Hat Product Errata RHSA-2019:4110 None None None 2019-12-05 15:20:55 UTC
Red Hat Product Errata RHSA-2019:4113 None None None 2019-12-09 08:56:55 UTC
Red Hat Product Errata RHSA-2019:4115 None None None 2019-12-09 13:26:51 UTC

Description Tomas Hoger 2019-10-11 20:25:19 UTC
It was discovered that the Pattern class in the Concurrency component in OpenJDK could throw an unexpected StackOverflowError exception when compiling specially crafted regular expression. This could possibly cause a Java application to exit because of an unhandled exception if it processed untrusted regular expressions.

Comment 1 Tomas Hoger 2019-10-15 21:07:45 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, 8u231, and 7u241.

Comment 2 errata-xmlrpc 2019-10-16 14:18:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:58:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 errata-xmlrpc 2019-10-21 15:00:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3158 https://access.redhat.com/errata/RHSA-2019:3158

Comment 10 errata-xmlrpc 2019-10-21 15:11:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3157 https://access.redhat.com/errata/RHSA-2019:3157

Comment 12 Product Security DevOps Team 2019-12-03 01:04:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2964

Comment 13 errata-xmlrpc 2019-12-05 15:20:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4110 https://access.redhat.com/errata/RHSA-2019:4110

Comment 14 errata-xmlrpc 2019-12-05 15:21:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4109 https://access.redhat.com/errata/RHSA-2019:4109

Comment 15 errata-xmlrpc 2019-12-09 08:56:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4113 https://access.redhat.com/errata/RHSA-2019:4113

Comment 16 errata-xmlrpc 2019-12-09 13:26:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4115 https://access.redhat.com/errata/RHSA-2019:4115


Note You need to log in before you can comment on or make changes to this bug.